Name:           glest-data
Version:        3.2.1
Release:        1%{?dist}
Summary:        Data files for the game Glest

Group:          Amusements/Games
# The license for these data files is extremely permissive.
# We've also received explicit permission from upstream to 
# "do whatever you want with it, as long as you credit us."
# http://www.glest.org/glest_board/viewtopic.php?p=15926#15926
License:        Copyright only
URL:            http://www.glest.org
Source0:        http://dl.sf.net/glest/glest_data_%{version}.zip
# Script used to create SOURCE2
Source1:        glest-get-translations.sh
Source2:        glest-translations-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  ImageMagick, recode
Requires:       glest = %{version}

# Glest does not work on PPC. Bug 219540.
ExcludeArch:    ppc ppc64


%description
Glest  is a free 3D real time strategy game, that can be modified
using XML and a set of tools.
This package contains the data files for the game.

%prep
%setup -q -n glest_game
# dos2unix some docs files
find docs -type f | xargs sed -i -e "s/\r//g"
# UTF-8
recode ISO-8859-1..UTF-8 docs/*.txt
mv data/lang/espa?ol.lng data/lang/espanol.lng
mv tutorials/advanced_tutorial/advanced_tutorial_espa?ol.lng tutorials/advanced_tutorial/advanced_tutorial_espanol.lng
mv tutorials/basic_tutorial/basic_tutorial_espa?ol.lng tutorials/basic_tutorial/basic_tutorial_espanol.lng
mv scenarios/storming/storming_espa?ol.lng scenarios/storming/storming_espanol.lng


%build
# Only data files, no build.

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/glest/
cp -a * $RPM_BUILD_ROOT%{_datadir}/glest/
# provided by the binary package
rm -f $RPM_BUILD_ROOT%{_datadir}/glest/glest.ini
# Needs to be writeable (in the user's homedir)
rm -f $RPM_BUILD_ROOT%{_datadir}/glest/glest.log
# Icon
convert $RPM_BUILD_ROOT%{_datadir}/glest/glest.ico \
        $RPM_BUILD_ROOT%{_datadir}/glest/glest.png
rm -f $RPM_BUILD_ROOT%{_datadir}/glest/glest.ico
# Translations
tar -xf %{SOURCE2} -C $RPM_BUILD_ROOT%{_datadir}/glest/data/lang/
pushd $RPM_BUILD_ROOT%{_datadir}/glest/data/lang/
for langfile in translations/*.zip; do
    unzip $langfile
done
mv fran?ais.lng francais.lng
mv brazilian_3.1.2.lng brazilian.lng
mv magyar_3.2-alpha1.lng magyar.lng
rm -rf translations
chmod 644 *.lng
popd
# Documentation: put everything in the glest docdir (more logical)
mkdir -p $RPM_BUILD_ROOT%{_docdir}/glest-%{version}/
mv $RPM_BUILD_ROOT%{_datadir}/glest/docs/* $RPM_BUILD_ROOT%{_docdir}/glest-%{version}/
rmdir $RPM_BUILD_ROOT%{_datadir}/glest/docs
# Conflics with the glest package
mv $RPM_BUILD_ROOT%{_docdir}/glest-%{version}/license{.txt,-data.txt}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc %{_docdir}/glest-%{version}/*
%{_datadir}/glest/*



%changelog
* Sat Feb 28 2009 Aurelien Bompard <abompard@fedoraproject.org> 3.2.1-1
- version 3.2.1

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Aurelien Bompard <abompard@fedoraproject.org> 3.2.0-1
- version 3.2.0

* Thu May 22 2008 Tom "spot" Callaway <tcallawa@redhat.com> 3.1.2-2
- fix license tag

* Tue Mar 04 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.1.2-1
- version 3.1.2

* Tue Feb 26 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.1.1-1
- version 3.1.1

* Sat Feb 16 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.1.0-1
- version 3.1.0

* Sat Feb 02 2008 Aurelien Bompard <abompard@fedoraproject.org> 3.0.0-1
- version 3.0.0

* Sun Sep 02 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.1-1
- version 2.0.1

* Mon Aug 13 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-5
- fix ExcludArch tag, it does not parse commas (thanks Florian)

* Sat Aug 04 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-4
- bump release

* Sun Jun 03 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-3
- exclude archs where glest does not run

* Sun Nov 26 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-2
- fix Licence tag

* Thu Nov 09 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.0.0-1
- initial package
