#!/bin/bash

version=$1

if [ -z "$version" ]; then
    echo "Usage: $0 <version>"
    exit 2
fi

majorver=`echo $version | sed -r -e 's/^([0-9]+)[0-9\.]+$/\1/g'`

rm -rf translations
mkdir translations
cd translations
wget -r -N -l 1 -np -nd http://www.glest.org/files/contrib/translations/
# Remove useless files or old translations
# don't do in with wget's -A option because it does not cope with non-ascii filenames
for f in *; do
    [[ "$f" =~ .*_$majorver\..*\.zip ]] || rm -f $f
done
# Non-ASCII char
mv fran?ais_*.zip français.zip
cd ..
tar -czf glest-translations-$version.tar.gz translations
rm -rf translations
